Messaging conversations
Add someone to a conversation
Adds a person to a group conversation you are in, or seats a bot you own or steward in a direct, group or channel conversation you are in; everyone there sees them join. A bot changes no one’s seat. Needs messaging.update.
POST
/
api
/
company
/
v2026-10
/
messaging
/
conversations
/
{conversation_id}
/
recipients
Add someone to a conversation
curl --request POST \
--url https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95"
}
'import requests
url = "https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients"
payload = { "recipient_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipient_id: '0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95'})
};
fetch('https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recipient_id' => '0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients"
payload := strings.NewReader("{\n \"recipient_id\": \"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recipient_id\": \"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipient_id\": \"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95\"\n}"
response = http.request(request)
puts response.read_body{
"seat": {
"conversation_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a92",
"recipient_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95"
},
"status": 201,
"meta": {
"request_uuid": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a90",
"timestamp": "2026-11-09T09:31:00Z"
}
}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
The session token of an admin of your company.
Path Parameters
The conversation's id (uuid; a numeric id is still accepted).
Body
application/json
The messaging recipient's id (uuid, or its numeric id). A bot's is its recipient_id.
Maximum string length:
64⌘I
Add someone to a conversation
curl --request POST \
--url https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95"
}
'import requests
url = "https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients"
payload = { "recipient_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipient_id: '0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95'})
};
fetch('https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'recipient_id' => '0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients"
payload := strings.NewReader("{\n \"recipient_id\": \"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"recipient_id\": \"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/v2026-10/messaging/conversations/{conversation_id}/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"recipient_id\": \"0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95\"\n}"
response = http.request(request)
puts response.read_body{
"seat": {
"conversation_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a92",
"recipient_id": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a95"
},
"status": 201,
"meta": {
"request_uuid": "0199a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a90",
"timestamp": "2026-11-09T09:31:00Z"
}
}{}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"details": {}
},
"status": 123,
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}